## lm-sensors 3.3.5

=== debian/changelog ===
lm-sensors (1:3.3.5-2) unstable; urgency=medium

  * debian/lm-sensors.preinst: remove and rely now on lm-sensors.maintscript
    to manage obsolete conffiles (closes: #567183).
  * debian/sensord.maintscript: add /etc/logcheck/ignore.d.server/sensord
    (closes: #747379).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 08 May 2014 14:48:32 +0200

lm-sensors (1:3.3.5-1) unstable; urgency=medium

  * New upstream version:
    - drop 01-sensors-conf-convert-manpage.patch (merged upstream).
    - refresh other patches.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 28 Apr 2014 19:41:14 +0200

lm-sensors (1:3.3.4-3) unstable; urgency=medium

  * lm-sensors.service: allow calls to sensors to fail, in case no
    sensors are available.
  * Bumped Standards-version to 3.9.5 (no changes).
  * Don't force xz compression when generating .deb now that it is the
    default.
  * Don't pass start and stop actions to dh_installinit. The LSB headers
    of the init scripts already contain all necesssary information
    (closes: #722074).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Apr 2014 20:06:52 +0200
