## lm-sensors 3.4.0

=== debian/changelog ===
lm-sensors (1:3.4.0-4ubuntu0.1) bionic; urgency=medium

  * d/fancontrol-systemd-sleep, d/rules: Restart fancontrol.service
    after power sleep if it is active (LP: #1882272)

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 31 Mar 2022 17:53:20 -0300

lm-sensors (1:3.4.0-4) unstable; urgency=medium

  * Drop the sensord package, it is not really maintained upstream, and
    the RRD part has some issues (closes: #244037, #469096, #790796).
    - Stop building it.
    - Remove corresponding patches.
    - Remove corresponding debhelper files.
    - Drop the build-depends on librrd-dev.
  * Fix udevadm path in sensors-detect (closes: #852558).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 05 Apr 2017 20:07:33 +0000

lm-sensors (1:3.4.0-3) unstable; urgency=medium

  * Switch lm-sensors and sensord packages to architecture linux-any. Add a
    note that libsensors4 and libsensors4-dev will only find sensors with a
    Linux kernel, but keep them for portability on other systems (closes:
    #570429).
  * debian/lm-sensors.init: fix LSB init output, thanks to Guillem Jover for
    the patch (closes: #823078).
  * debian/patches/15-path-max.patch: new patch to define PATH_MAX on GNU
    Hurd, thanks to Christoph Berg for the patch (closes: #824005).
  * Bumped Standards-version to 3.9.8 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 19 May 2016 21:24:51 +0200

lm-sensors (1:3.4.0-2) unstable; urgency=medium

  * Build-depends on librrd-dev instead of librrd2-dev as the Provides
    has been removed without warnings.
  * Rewrite debian/rules usind dh.
  * Update 05-sensord-manpage.patch with the new Apache 2.4 default document
    root. Thanks to Jean-Michel Vourgère for the patch (closes: #753394).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 07 Sep 2015 20:51:21 +0200

lm-sensors (1:3.4.0-1) unstable; urgency=medium

  * New upstream version:
    - Fixes fancontrol when FCFANS is not set (closes: #727731).
  * debian/sensord.maintscript: fix version (closes: #747379, #756474).
  * Improve fancontrol description.
  * Mention sensors-detect(8) in sensors(1) (closes: #766775).
  * Bumped Standards-version to 3.9.6 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 09 Aug 2015 18:03:52 +0200
