=== debian/control ===
Source: lm-sensors
Section: utils
Priority: extra
Build-Depends: debhelper (>= 9), bison, flex, dh-systemd (>= 1.3)
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
Standards-Version: 3.9.8
Homepage: http://www.lm-sensors.org

Package: lm-sensors
Architecture: linux-any
Section: utils
Depends: sed (>= 4.0.5-1), lsb-base (>= 3.2-13), ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
Suggests: fancontrol, read-edid, i2c-tools
Description: utilities to read temperature/voltage/fan sensors
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This package contains programs to help you set up and read data from
 lm-sensors.

Package: libsensors4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Priority: optional
Suggests: lm-sensors
Section: libs
Description: library to read temperature/voltage/fan sensors
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This library is only functional with a Linux kernel, it is provided on
 non-Linux systems for portability reasons only.
 .
 This package contains a shared library for querying lm-sensors.

Package: libsensors4-dev
Architecture: any
Depends: libsensors4 (= ${binary:Version}), ${misc:Depends}
Conflicts: lm-sensors (<< 1:3.1.1-6), libsensors-dev
Section: libdevel
Description: lm-sensors development kit
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This library is only functional with a Linux kernel, it is provided on
 non-Linux systems for portability reasons only.
 .
 This package contains the static library and header files used in
 development.

Package: fancontrol
Architecture: all
Section: utils
Depends: lsb-base (>= 3.2-13), ${misc:Depends}
Conflicts: lm-sensors (<< 1:3.1.1-6)
Replaces: lm-sensors (<< 1:3.1.1-6)
Description: utility to control the fan speed
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This package contains a daemon that calculates fan speeds from temperatures
 and sets the corresponding PWM outputs to the computed values. This is
 useful when this feature is not provided by the BIOS or ACPI, which should
 normally be the case on a laptop.
