=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: lm-sensors
 Section: utils
-Priority: extra
-Build-Depends: debhelper (>= 9), bison, flex, dh-systemd (>= 1.3)
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
-Standards-Version: 3.9.8
-Homepage: http://www.lm-sensors.org
+Priority: optional
+Build-Depends: debhelper (>= 10), bison, flex
+Rules-Requires-Root: no
+Standards-Version: 4.2.1
+Maintainer: Aurelien Jarno <aurel32@debian.org>
+Homepage: https://hwmon.wiki.kernel.org/lm_sensors
 
 Package: lm-sensors
 Architecture: linux-any
@@ -20,11 +20,30 @@
  This package contains programs to help you set up and read data from
  lm-sensors.
 
-Package: libsensors4
+Package: libsensors-config
+Architecture: all
+Multi-Arch: foreign
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}
+Priority: optional
+Breaks: libsensors4
+Replaces: libsensors4
+Suggests: lm-sensors
+Description: lm-sensors configuration files
+ Lm-sensors is a hardware health monitoring package for Linux. It allows you
+ to access information from temperature, voltage, and fan speed sensors. It
+ works with most newer systems.
+ .
+ This library is only functional with a Linux kernel, it is provided on
+ non-Linux systems for portability reasons only.
+ .
+ This package contains the configuration files.
+
+Package: libsensors5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libsensors-config, ${shlibs:Depends}, ${misc:Depends}
 Priority: optional
 Suggests: lm-sensors
 Section: libs
@@ -40,8 +59,9 @@
 
 Package: libsensors4-dev
 Architecture: any
-Depends: libsensors4 (= ${binary:Version}), ${misc:Depends}
-Conflicts: lm-sensors (<< 1:3.1.1-6), libsensors-dev
+Multi-Arch: same
+Depends: libsensors5 (= ${binary:Version}), ${misc:Depends}
+Provides: libsensors-dev
 Section: libdevel
 Description: lm-sensors development kit
  Lm-sensors is a hardware health monitoring package for Linux. It allows you
@@ -58,8 +78,6 @@
 Architecture: all
 Section: utils
 Depends: lsb-base (>= 3.2-13), ${misc:Depends}
-Conflicts: lm-sensors (<< 1:3.1.1-6)
-Replaces: lm-sensors (<< 1:3.1.1-6)
 Description: utility to control the fan speed
  Lm-sensors is a hardware health monitoring package for Linux. It allows you
  to access information from temperature, voltage, and fan speed sensors. It
