=== debian/changelog ===
lm-sensors (1:3.6.0-10) unstable; urgency=medium

  [ Bjarni Ingi Gislason ]
  * sensors.conf.5: editorial fixes.  Closes: #1051093.

  [ Aurelien Jarno ]
  * lm-sensors: override dh_perl to pass -d.  Closes: #1071971.
  * lm-sensors: drop depends on sed.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 01 Jun 2024 20:55:06 +0000

lm-sensors (1:3.6.0-9) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Use systemd.pc to place systemd sleep files.  Closes: #1059405.

  [ Bjarni Ingi Gislason ]
  * isadump.8: editorial fixes.  Closes: #1051114.
  * isaset.8: editorial fixes.  Closes: #1051115.
  * sensors.1: editorial fixes.  Closes: #1050985.
  * sensors-conf-convert.8: editorial fixes.  Closes: #1051117.
  * sensors-detect.8: editorial fixes.  Closes: #1051123..

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 26 Feb 2024 21:55:26 +0100

lm-sensors (1:3.6.0-8) unstable; urgency=medium

  * Drop versioned depends on obsolete lsb-base package.
  * Drop versioned depends on sed, satisfied since at least etch.
  * Drop libsensors4-dev transitional package.  Closes: #1038278. 
  * Restart fancontrol on resume only if enabled. Thanks to Andreas Hasenack
    for the patch.  Closes: #1008975.
  * Bump Standards-Version to 4.6.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 25 Aug 2023 21:39:18 +0200

lm-sensors (1:3.6.0-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:16:36 +0200

lm-sensors (1:3.6.0-7) unstable; urgency=medium

  * Switch libsensors4-dev to architecture: any.  Closes: #981274.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 30 Jan 2021 07:05:25 +0100

lm-sensors (1:3.6.0-6) unstable; urgency=medium

  * Restart fancontrol.service after power sleep.  Closes: #664141.
  * Call dh_missing with --list-missing on non-Linux.  Closes: #980944.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 25 Jan 2021 01:03:48 +0100

lm-sensors (1:3.6.0-5) unstable; urgency=medium

  * Upload to unstable.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 16 Jan 2021 11:54:36 +0100

lm-sensors (1:3.6.0-4) experimental; urgency=medium

  * Upload to experimental.
  * Rename libsensors4-dev into libsensors-dev and replace libsensors4-dev by
    a transitional package for a smooth transition. The transitional package
    will be removed in bookworm.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Jan 2021 18:42:27 +0100

lm-sensors (1:3.6.0-3) unstable; urgency=medium

  * Bump debhelper compatibility to 13.
  * Bump Standards-Version to 4.5.1 (no changes).
  * Update fancontrol.service to use the /run directory instead of /var/run.
    Closes: #973521.
  * Ensure the process has stopped before returning in fancontrol initscript.
    Closes: #830847.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Jan 2021 17:58:28 +0100

lm-sensors (1:3.6.0-2) unstable; urgency=medium

  * Replace MACHINE by ARCH in debian/rules. Thanks to Lucas Kanashiro for the
    notice.  Closes: #944195.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 05 Nov 2019 20:57:53 +0100

lm-sensors (1:3.6.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump debhelper compatibility to 12.
  * Bump Standards-Version to 4.4.1 (no changes).
  * Fix debian/copyright to not refer to the versionless symlink GPL and
    LGPL licenses.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 19 Oct 2019 10:16:05 +0200
