=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: lm-sensors
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 10), bison, flex
+Build-Depends: debhelper-compat (= 13), bison, flex, pkgconf, systemd-dev
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.6.2
 Maintainer: Aurelien Jarno <aurel32@debian.org>
 Homepage: https://hwmon.wiki.kernel.org/lm_sensors
 
 Package: lm-sensors
 Architecture: linux-any
 Section: utils
-Depends: sed (>= 4.0.5-1), lsb-base (>= 3.2-13), ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
 Suggests: fancontrol, read-edid, i2c-tools
 Description: utilities to read temperature/voltage/fan sensors
  Lm-sensors is a hardware health monitoring package for Linux. It allows you
@@ -57,11 +57,13 @@
  .
  This package contains a shared library for querying lm-sensors.
 
-Package: libsensors4-dev
+Package: libsensors-dev
 Architecture: any
 Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libsensors5 (= ${binary:Version}), ${misc:Depends}
-Provides: libsensors-dev
+Breaks: libsensors4-dev (<< 1:3.6.0-4)
+Replaces: libsensors4-dev (<< 1:3.6.0-4)
 Section: libdevel
 Description: lm-sensors development kit
  Lm-sensors is a hardware health monitoring package for Linux. It allows you
@@ -77,7 +79,8 @@
 Package: fancontrol
 Architecture: all
 Section: utils
-Depends: lsb-base (>= 3.2-13), ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}
 Description: utility to control the fan speed
  Lm-sensors is a hardware health monitoring package for Linux. It allows you
  to access information from temperature, voltage, and fan speed sensors. It
