=== debian/rules ===
#!/usr/bin/make -f

export deb_systemdsleepdir = $(shell pkg-config --variable=systemdsleepdir systemd)

%:
	dh $@

MAKEARGS_INDP = DESTDIR=$(CURDIR)/debian/tmp \
		PREFIX=/usr \
		LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		MANDIR=/usr/share/man
MAKEARGS_ARCH = $(MAKEARGS_INDP) \
		ARCH=$(DEB_HOST_GNU_CPU) \
		CFLAGS="$(CFLAGS)" \
		CPPFLAGS="$(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		EXLDFLAGS="$(LDFLAGS)"

override_dh_auto_clean:
	dh_auto_clean -- $(MAKEARGS_ARCH)

# Ignore missing files on non-Linux. This package is Linux specific, and
# is just minimally built on other OS to simplify porters work.
ifneq ($(DEB_HOST_ARCH_OS),linux)
override_dh_missing:
	dh_missing --list-missing
endif

# Sensors-detect works fine with perl-base
override_dh_perl:
	dh_perl -d

#
# Architecture independent targets
#
override_dh_auto_build-indep:

override_dh_auto_install-indep:
	$(MAKE) install-etc install-prog-pwm $(MAKEARGS_INDP)
	install -m 755 -D $(CURDIR)/debian/fancontrol-systemd-sleep $(CURDIR)/debian/fancontrol$(deb_systemdsleepdir)/fancontrol

	# Make sure /etc/sensors.d/ is not removed
	touch $(CURDIR)/debian/tmp/etc/sensors.d/.placeholder

override_dh_installinit-indep:
	dh_installinit -pfancontrol --restart-after-upgrade

override_dh_installsystemd-indep:
	dh_installsystemd -pfancontrol --restart-after-upgrade


#
# Architecture targets
#
override_dh_auto_build-arch:
	dh_auto_build -- $(MAKEARGS_ARCH)

override_dh_auto_install-arch:
	dh_auto_install -- $(MAKEARGS_ARCH)

	# Install isadump only if it has been built (on x86/x86_64 archs only)
	if [ -x prog/dump/isadump ] ; then \
		dh_install -plm-sensors usr/sbin/isadump ; \
		dh_install -plm-sensors usr/share/man/man8/isadump.8 ; \
	fi
	# Install isaset only if it has been built (on x86/x86_64 archs only)
	if [ -x prog/dump/isaset ] ; then \
		dh_install -plm-sensors usr/sbin/isaset ; \
		dh_install -plm-sensors usr/share/man/man8/isaset.8 ; \
	fi

override_dh_installinit-arch:
	dh_installinit -plm-sensors --no-start

override_dh_installsystemd-arch:
	dh_installsystemd -plm-sensors --no-start
