## lm-sensors 3.6.2

=== Makefile ===
--- 
+++ 
@@ -55,7 +55,13 @@
 # library files (both static and shared) will be installed.
 LIBDIR := $(PREFIX)/lib
 
-EXLDFLAGS := -Wl,-rpath,$(LIBDIR)
+# You should not need to change this. It is the directory into which the
+# data files will be installed.
+DATADIR := $(PREFIX)/share
+
+# You should not need to change this. It is the directory into which the
+# ZSH completion files will be installed.
+ZSHCOMPDIR := $(DATADIR)/zsh/site-functions
 
 # You should not need to change this. It is the directory into which the
 # executable program files will be installed. BINDIR for programs that are
@@ -68,7 +74,7 @@
 SBINDIR := $(PREFIX)/sbin
 
 # You should not need to change this. It is the basic directory into which
-# include files will be installed. The actual directory will be 
+# include files will be installed. The actual directory will be
 # $(INCLUDEDIR)/sensors for library include files.
 INCLUDEDIR := $(PREFIX)/include
 LIBINCLUDEDIR := $(INCLUDEDIR)/sensors
@@ -84,6 +90,9 @@
 
 # Build and install static library
 BUILD_STATIC_LIB := 1
+
+# Build and install shared library
+BUILD_SHARED_LIB := 1
 
 # Set these to add preprocessor or compiler flags, or use
 # environment variables
@@ -103,9 +112,9 @@
 
 # Within each Module.mk, rules and dependencies can be added to targets
 # all, install and clean. Use double colons instead of single ones
-# to do this. 
-
-# The subdirectories we need to build things in 
+# to do this.
+
+# The subdirectories we need to build things in
 SRCDIRS := lib prog/detect prog/pwm \
            prog/sensors ${PROG_EXTRA:%=prog/%} etc
 # Only build isadump and isaset on x86 machines.
@@ -160,13 +169,17 @@
 LIBCPPFLAGS := -DETCDIR="\"$(ETCDIR)\"" $(ALL_CPPFLAGS)
 LIBCFLAGS := -fpic -D_REENTRANT $(ALL_CFLAGS)
 
+ALL_LDFLAGS := $(LDFLAGS)
+
+EXLDFLAGS := -Wl,-rpath,$(LIBDIR) $(ALL_LDFLAGS)
+
 .PHONY: all user clean install user_install uninstall user_uninstall
 
 # Make all the default rule
 all::
 
 # Include all makefiles for sub-modules
-INCLUDEFILES := 
+INCLUDEFILES :=
 include $(patsubst %,%/Module.mk,$(SRCDIRS))
 ifneq ($(MAKECMDGOALS),clean)
 ifneq ($(MAKECMDGOALS),uninstall)
@@ -181,6 +194,11 @@
 # Man pages
 MANPAGES := $(LIBMAN3FILES) $(LIBMAN5FILES) $(PROGDETECTMAN8FILES) $(PROGDUMPMAN8FILES) \
             $(PROGSENSORSMAN1FILES) $(PROGPWMMAN8FILES) prog/sensord/sensord.8
+
+check:: test
+
+test:: lib/test/test-scanner
+	cd lib/test ; ./test-scanner.pl
 
 user ::
 user_install::
@@ -267,21 +285,21 @@
 
 # Flex and Bison
 %.c: %.y
-	@if ! which $(BISON) 2> /dev/null ; then \
+	@if ! command -v $(BISON) 2> /dev/null ; then \
 		echo "Please install $(BISON), then run \"make clean\" and try again" ; \
 		false ; \
 	fi
 	$(BISON) -p sensors_yy -d $< -o $@
 
 ifeq ($(DEBUG),1)
-FLEX_FLAGS := -Psensors_yy -t -b -Cfe -8
+FLEX_FLAGS := -Psensors_yy -b -Cfe -8
 else
-FLEX_FLAGS := -Psensors_yy -t -Cfe -8
+FLEX_FLAGS := -Psensors_yy -Cfe -8
 endif
 
 %.c: %.l
-	@if ! which $(FLEX) 2> /dev/null ; then \
+	@if ! command -v $(FLEX) 2> /dev/null ; then \
 		echo "Please install $(FLEX), then run \"make clean\" and try again" ; \
 		false ; \
 	fi
-	$(FLEX) $(FLEX_FLAGS) $< > $@
+	$(FLEX) $(FLEX_FLAGS) -o $@ $<
