=== debian/changelog ===
lm-sensors (1:3.6.2-2) unstable; urgency=medium

  * Emit missing sensor warning only if SENSORS_SYSFS_ROOT is defined

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 12 Apr 2025 14:35:33 +0200

lm-sensors (1:3.6.2-1) unstable; urgency=medium

  * New upstream release:
    - The original lm-sensors repository has no commits for four years. Switch
       to the actively maintained fork by a SUSE kernel developer, which is
       already used by Gentoo and openSUSE.
    - Update upstream URL to point to the new upstream
    - Drop 16-egrep-pwmconfig.patch (upstreamed)
    - Rebase 22-sensors.1-editorial-fixes.patch
    - Rebase 24-sensors-detect.8-editorial-fixes.patch
    - Build-depends on libtest-cmd-perl to be able to run the testsuite
    - Install new Zsh completion files
    - Update symbols file
  * Replace 02-sensors-conf-convert-improvements.patch by upstream version
  * Replace 08-sensors-detect-lm85.patch and 09-sensors-detect-
    sch5524.patch by upstream version
  * Replace 11-fancontrol-check.patch by upstream version
  * Replace 14-2-digits-kernel.patch by upstream version
  * Drop fancontrol.postinst, obsolete since squeeze
  * Drop libsensors5.preinst, obsolete since squeeze
  * Drop lm-sensors.maintscript, obsolete since squeeze
  * Drop Breaks/Replaces against libsensors4, obsolete since buster
  * Drop Breaks/Replaces against libsensors4-dev, obsolete since bullseye
  * Drop debian/libsensors5.shlibs, as dpkg-shlibdeps now defaults to the
    latest upstream version
  * Set DEB_BUILD_MAINT_OPTIONS = hardening=+all to make lintian happier
  * Call make clean directly instead of relying on dh_auto_clean
  * Rewrite debian/copyright in Machine-readable format
  * fancontrol.service: set Restart=on-failure (Closes: #664141)
  * Add a documentation entry to lm-sensors.service
  * Add hardening options to fancontrol.service and lm-sensors.service
    (Closes: #944808)
  * Remove mirrored fields reported by Lintian in debian/control
  * Bump Standards-Version to 4.7.2 (no changes)

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 11 Apr 2025 22:35:40 +0200
