=== debian/control ===
--- 
+++ 
@@ -1,17 +1,23 @@
 Source: lm-sensors
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (= 13), bison, flex, pkgconf, systemd-dev
+Build-Depends: debhelper-compat (= 13),
+               bison,
+               flex,
+               libtest-cmd-perl <!nocheck>,
+               pkgconf,
+               systemd-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Maintainer: Aurelien Jarno <aurel32@debian.org>
-Homepage: https://hwmon.wiki.kernel.org/lm_sensors
+Homepage: https://github.com/hramrach/lm-sensors
+Vcs-Git: https://salsa.debian.org/aurel32/lm-sensors.git
+Vcs-Browser: https://salsa.debian.org/aurel32/lm-sensors
 
 Package: lm-sensors
 Architecture: linux-any
-Section: utils
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
-Suggests: fancontrol, read-edid, i2c-tools
+Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
+Suggests: fancontrol, i2c-tools, read-edid
 Description: utilities to read temperature/voltage/fan sensors
  Lm-sensors is a hardware health monitoring package for Linux. It allows you
  to access information from temperature, voltage, and fan speed sensors. It
@@ -25,9 +31,6 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
-Priority: optional
-Breaks: libsensors4
-Replaces: libsensors4
 Suggests: lm-sensors
 Description: lm-sensors configuration files
  Lm-sensors is a hardware health monitoring package for Linux. It allows you
@@ -43,8 +46,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libsensors-config, ${shlibs:Depends}, ${misc:Depends}
-Priority: optional
+Depends: libsensors-config, ${misc:Depends}, ${shlibs:Depends}
 Suggests: lm-sensors
 Section: libs
 Description: library to read temperature/voltage/fan sensors
@@ -62,8 +64,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libsensors5 (= ${binary:Version}), ${misc:Depends}
-Breaks: libsensors4-dev (<< 1:3.6.0-4)
-Replaces: libsensors4-dev (<< 1:3.6.0-4)
 Section: libdevel
 Description: lm-sensors development kit
  Lm-sensors is a hardware health monitoring package for Linux. It allows you
@@ -78,7 +78,6 @@
 
 Package: fancontrol
 Architecture: all
-Section: utils
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
 Description: utility to control the fan speed
