=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export deb_systemdsleepdir = $(shell pkg-config --variable=systemdsleepdir systemd)
 
 %:
@@ -17,7 +18,7 @@
 		EXLDFLAGS="$(LDFLAGS)"
 
 override_dh_auto_clean:
-	dh_auto_clean -- $(MAKEARGS_ARCH)
+	make clean $(MAKEARGS_ARCH)
 
 # Ignore missing files on non-Linux. This package is Linux specific, and
 # is just minimally built on other OS to simplify porters work.
