=== debian/watch ===
version=4
opts=uversionmangle=s/-/./g \
  https://github.com/hramrach/lm-sensors/tags .*/V?(\d\S+)\.tar\.gz
